Subject: Re: Laptop sleep & current "git" tree

From: John Steele Scott <[email-masked]>
Date: Sun, 08 May 2005 14:02:31 +0930

Colin Leroy <[email-masked]> writes:
> On 04 May 2005 at 09h05, Benjamin Herrenschmidt wrote:
>
> Hi, 
>
>> I have no problem but I didn't see the hub power switching patch on my
>> git commit logs and it wasn't in linus tree yesterday at least :)
>
> Btw, it's in now.

I finally tried this today, using 2.6.12-rc4, which has this patch. Without
USB devices attached, it's okay, but with my USB hub attached, I get a
(reproducable) panic in echi_hcd on the way to sleep.

I took a photo of the panic and enhanced it for readability, it's at
<http://www.toojays.net/portal/Members/toojays/ibook-g4-sleep-crash-2.6.12-rc4.jpg>.

cheers,

John